承载协议 | HTTPS GET |
|---|---|
接口方向 | 服务商服务器 -> 华为服务器 |
接口URL | https://connect-api.cloud.huawei.com/api/interflow/v1/invitationCode/list |
数据格式 | 请求:Content-Type: application/json 响应:Content-Type: application/json |
参数名称 | 必选(M)/可选(O) | 类型 | 参数说明 |
|---|---|---|---|
client_id | M | String | API客户端ID。 创建第三方平台成功后系统自动分配的客户端ID,可在第三方管理平台“开发配置 > 开发资料设置”页面中获取,详情请参见接口访问凭证(平台访问凭据)。 |
Authorization | M | String | 认证信息,格式为“Authorization: Bearer ${access_token}”。access_token为获取平台级Token中获取的access_token。 |
请求Body中使用JSON格式携带邀请码信息,参数如下表所示。
参数名称 | 必选(M)/可选(O) | 类型 | 参数说明 |
|---|---|---|---|
pageNum | M | Integer(32) | 查询第几页。第一页从1开始。 |
pageSize | O | Integer(32) | 每页数量。 取值范围:[0,1000] 默认值:10 |
totalNumFlag | O | String(5) | 是否查询总数量。 建议第一页查询总数量, 后面的页数不再查询。 默认值:false,即不查询 |
app_id | M | String(128) | 应用ID。 |
version_id | M | String(128) | 版本ID。 |
GET /api/interflow/v1/invitationCode/list HTTP/1.1
Host: connect-api.cloud.huawei.com
client_id: 4141******68
Content-Type: application/json
Authorization: Bearer *******
{
"pageNum": 1,
"pageSize": 10,
"totalNumFlag": false,
"app_id": "761e********08",
"version_id": "17*********8710"
} 参数名称 | 必选(M)/可选(O) | 类型 | 参数说明 |
|---|---|---|---|
resultCode | M | String(16) | 返回码。 具体返回码如下:
|
resultDesc | M | String(32) | 返回码描述信息。 |
total | O | Integer(32) | 记录总数量。 |
invitationCodeInfo | O | 邀请码信息。 |
参数名称 | 必选(M)/可选(O) | 类型 | 参数说明 |
|---|---|---|---|
id | O | String(64) | 记录ID。 |
app_id | O | String(128) | 应用ID。 |
version_id | O | String(128) | 版本ID。 |
invitation_code | O | String(128) | 邀请码。 |
invitation_link | O | String(500) | 邀请码链接。 |
status | M | Integer | 邀请码状态。 取值范围:
|
start_time | M | String(128) | 邀请码生效时间。 |
end_time | M | String(128) | 邀请码失效时间。 |
invitedNum | M | Integer | 当日已邀请人数。 |
waitInviteNum | M | Integer | 当日待邀请人数。 |
{
"resultCode": "000000",
"resultDesc": "Success",
"total": 0,
"invitationCodeInfo": [
{
"id": "28de********5a",
"app_id": "761e********08",
"version_id": "17*********8710",
"invitation_code": "1P****On",
"invitation_link": "https://*****.link",
"status": 0,
"start_time": "1715****000",
"end_time": "1715****000",
"invitedNum": 0,
"waitInviteNum": 100
}
]
}